Subject: Re: [PATCH GSoC] gitweb: Add global installation target for gitweb

From: Jakub Narebski <[email-masked]>
Date: Fri, 14 May 2010 23:22:06 +0200

On Fri, May 14, 2010, Pavan Kumar Sunkara wrote:
> On Fri, May 14, 2010 at 8:37 PM, Jakub Narebski <[email-masked]> wrote:
> >
> > Cc-ed Eric Wong, the main author and maintainer of git-instaweb
> >
> > In short: I think that this patch should be split into two patches, one
> > which sets default value of 'gitwebdir' (in Makefile or gitweb/Makefile;
> > please explain why you chosen one or the other), and second that "fixes"
> > git-instaweb (and might include installing gitweb, in $(gitwebdir) or in
> > $(sharedir)/gitweb).
> 
> Yes, I agree. This is the first patch.
>
> The second patch which fixes git-instaweb is in discussion with my
> mentors. after that I will be sending it to the git mailing list.

I agree about splitting the patch.

What I disagree with is having addition of installing gitweb in first
patch. Especially that (as I think was shown in discussion) git-instaweb
must know where gitweb.cgi it can use is installed, so it has to be
synchronized.

P.S. About whether to add default value for 'gitwebdir' to Makefile or
to gitweb/Makefile - why not add it to both?

-- 
Jakub Narebski
Poland